> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/documents-requests/placesignatures.md).

# placeSignatures

place the signatures

### Overview

Parameters:&#x20;

* document token - String
* [RubricaList](/zapsign-api/english/facilitators/sdks/typescript-sdk/used-classes/body/rubricalist.md)

Return:

* int - In case of success
* Exception - In case of failure

To place the rubrics/signatures on the document we will need:

* set your apiToken;
* document token;
* build the rubrics;
* call the method;

### How to use:

Save your [apiToken](/zapsign-api/english/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Set your original document\`s token:

<pre class="language-typescript"><code class="lang-typescript"><strong>const docToken: string = "ORIGINAL DOCUMENT TOKEN";
</strong></code></pre>

Build your rubrics and save them on [RubricaList ](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/body/rubricalist)wich will be an array of [Rubrica](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/body/rubrica):

```typescript
const rubrica1: RubricaBuilder = rubricaBuilder()
                .withPage(0)
                .withtRelativePositionBottom(52.50)
                .withRelativePositionLeft(75.71)
                .withRelativeSizeX(19.55)
                .withRelativePositionSizeY(9.42)
                .withType("signature")
                .withSignerToken("SIGNER TOKEN")
                .build();
                
const rubrica2: RubricaBuilder = rubricaBuilder()
                .withPage(0)
                .withtRelativePositionBottom(13.50)
                .withRelativePositionLeft(20.71)
                .withRelativeSizeX(19.55)
                .withRelativePositionSizeY(9.42)
                .withType("signature")
                .withSignerToken("SIGNER TOKEN")
                .build();
                
let rubricas = RubricaBuilder[];
rubricas.push(rubrica1, rubrica2);

const rubricasArray = new RubricaArray(rubricas);
```

Call the placeSignatures method to get the response\`s status code or an error message:

```typescript
async function exempleAddExtraDoc() {
        try {
                statusCode: number = await new DocRequests(apiToken).placeSignatures(docToken, rubricasArray);
                console.log(statusCode);
        } catch(Err) {
            console.log(Err);
        }
    }
}
```

### Example:

<pre class="language-typescript"><code class="lang-typescript">import DocRequests from "sdk-node-typescript-zapsign/src/docs/DocRequests";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
import { RubricaBuilder } from "sdk-node-typescript-zapsign/src/body/doc/builders/RubricaBuilder";
import { RubricasArray } from "sdk-node-typescript-zapsign/src/body/doc/RubricasArray";

<strong>const apiToken: string = "YOUR TOKEN";
</strong><strong>
</strong>const docToken: string = "ORIGINAL DOCUMENT TOKEN";

const rubrica1: RubricaBuilder = RubricaBuilder()
                .withPage(0)
                .withtRelativePositionBottom(52.50)
                .withRelativePositionLeft(75.71)
                .withRelativeSizeX(19.55)
                .withRelativePositionSizeY(9.42)
                .withType("signature")
                .withSignerToken("SIGNER TOKEN")
                .build();
                
const rubrica2: RubricaBuilder = rubricaBuilder()
                .withPage(0)
                .withtRelativePositionBottom(13.50)
                .withRelativePositionLeft(20.71)
                .withRelativeSizeX(19.55)
                .withRelativePositionSizeY(9.42)
                .withType("signature")
                .withSignerToken("SIGNER TOKEN")
                .build();
                
let rubricas = RubricaBuilder[];
rubricas.push(rubrica1, rubrica2);

const rubricasArray = new RubricasArray(rubricas);

async function exempleAddExtraDoc() {
        try {
                statusCode: number = await new DocRequests(apiToken).placeSignatures(docToken, rubricasArray);
                console.log(statusCode);
        } catch(Err) {
            console.log(Err);
        }
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/documents-requests/placesignatures.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
